=== debian/changelog ===
xenomai (2.5.5.2-1ubuntu2) natty; urgency=low

  * debian/patches/fix_thumb_build.patch: Add IF-THEN instruction
    to fix Thumb-2 build on armel.
  * debian/rules: Set OMAP3 as default target machine as that is
    the closest to what we support from what upstream configure script
    has to offer.

 -- Jani Monoses <jani@ubuntu.com>  Mon, 28 Mar 2011 22:55:28 +0300

xenomai (2.5.5.2-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Create file for debhelper to pick up, use debhelper to
      install it.
    - debian/libxenomai1.preinst: Remove symlink on upgrade, remove old udev.
      rule unless modified in which case move to new name.
    - debian/libxenomai1.postinst: Do not create symlink.
    - debian/libxenomai1.postrm: No symlink to remove.
    - debian/control: Add Breaks on udev to get correct version.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 22 Dec 2010 14:25:48 +0100

xenomai (2.5.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #593585, #593586)
  * Using scripts/prepare-patch.sh now instead of debian/prepare-patch.sh

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 19:45:39 +0100

xenomai (2.5.4-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules: Create file for debhelper to pick up, use debhelper to
      install it.
    - debian/libxenomai1.preinst: Remove symlink on upgrade, remove old udev.
      rule unless modified in which case move to new name.
    - debian/libxenomai1.postinst: Do not create symlink.
    - debian/libxenomai1.postrm: No symlink to remove.
    - debian/control: add Breaks on udev to get correct version.
  * New upstream release fixes issue:
    - Support higher kernel than 2.6.29. (LP: #544284)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 16 Oct 2010 00:25:10 +0200

xenomai (2.4.8-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #391918), remaining changes:
    - Add lpia to supported architectures.
    - debian/rules: Create file for debhelper to pick up, use debhelper to
      install it.
    - debian/libxenomai1.dirs: Do not create directory.
    - debian/libxenomai1.preinst: Remove symlink on upgrade, remove old udev.
      rule unless modified in which case move to new name.
    - debian/libxenomai1.postinst: Do not create symlink.
    - debian/libxenomai1.postrm: No symlink to remove.
    - Bump build-depend on debhelper to install udev rules into
      /lib/udev/rules.d, add Breaks on udev to get correct version.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 24 Jun 2009 22:17:01 -0500

xenomai (2.4.4-3ubuntu3) jaunty; urgency=low

  * debian/rules: Create file for debhelper to pick up, use debhelper to
    install it
  * debian/libxenomai1.dirs: Do not create directory
  * debian/libxenomai1.preinst: Remove symlink on upgrade, remove old udev
    rule unless modified in which case move to new name.
  * debian/libxenomai1.postinst: Do not create symlink
  * debian/libxenomai1.postrm: No symlink to remove
  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Jan 2009 16:51:22 +0000

xenomai (2.4.4-3ubuntu2) intrepid; urgency=low

  * Add lpia to supported architectures.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 26 Aug 2008 15:35:26 +0000

xenomai (2.4.4-3ubuntu1) intrepid; urgency=low

  * Include limits.h in these files, fix FTBFS with glibc 2.8:
    - src/testsuite/irqbench/irqloop.c
    - src/testsuite/switchtest/switchtest.c:

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 26 Aug 2008 15:18:20 +0000
