## xenomai 2.6.0

=== examples/posix/Makefile ===
--- 
+++ 
@@ -92,7 +92,5 @@
 clean::
 	$(RM) $(CLEANMOD) *.o *.ko *.mod.c Module*.symvers Module.markers modules.order
 	$(RM) -R .tmp*
-	$(RM) .runinfo
 
 endif
-
