=== debian/changelog ===
xenomai (2.6.0-2) unstable; urgency=low

  * Add patch from upstream, fixing a bug in clock_nanosleep (Closes: #677633)
    Comment from patch author:
      Note however that with xenomai, a signal received during nanosleep will
      trigger a switch to secondary mode. So, this usage is only possible for
      a real-time thread in exceptional conditions (to handle an error for
      instance), not when latency matters.
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jun 2012 17:10:54 +0200

xenomai (2.6.0-1) unstable; urgency=low

  * New upstream release
  * Needed to autoreconf, adding necessary build-dependencies

 -- Roland Stigge <stigge@antcom.de>  Sun, 06 Nov 2011 15:32:52 +0100

xenomai (2.5.6-3) unstable; urgency=low

  * Added -fno-ommit-frame-pointer to build, necessary from gcc 4.6 on
    (Closes: #637425)
  * Removed *.la files from libxenomai-dev

 -- Roland Stigge <stigge@antcom.de>  Fri, 12 Aug 2011 20:39:11 +0200

xenomai (2.5.6-2) unstable; urgency=low

  * Removed usage of dh-kpatches in the build process (and from Build-Depends)
    since this package will probably be removed from Debian (and make-kpkg
    doesn't support automatic patching anymore anyway)
  * Standards-Version: 3.9.2
  * debhelper compatibility level 8

 -- Roland Stigge <stigge@antcom.de>  Wed, 04 May 2011 11:09:19 +0200

xenomai (2.5.6-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 07 Apr 2011 17:52:24 +0200
